Update custom field details
curl --request PATCH \
--url https://api.railmail.app/api/v1/custom-fields/{key}/details \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"displayName": "<string>",
"description": "<string>",
"isRequired": true
}
'import requests
url = "https://api.railmail.app/api/v1/custom-fields/{key}/details"
payload = {
"displayName": "<string>",
"description": "<string>",
"isRequired": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({displayName: '<string>', description: '<string>', isRequired: true})
};
fetch('https://api.railmail.app/api/v1/custom-fields/{key}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"displayName": "<string>",
"description": "<string>",
"type": "<string>",
"status": "<string>",
"isSystem": true,
"isRequired": true,
"defaultValue": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}Custom Fields
Update custom field details
Updates display name, description and required flag. Requires scope: custom_fields:write. Tenancy: scoped to the API key’s project.
PATCH
/
api
/
v1
/
custom-fields
/
{key}
/
details
Update custom field details
Authorizations
Project-scoped API key, format rm_(live|test)_... . May also be sent as Authorization: Bearer rm_....
Path Parameters
Custom field key.
Body
application/json